using Proto;

using TestProject;

WebApplicationBuilder builder = WebApplication.CreateBuilder(args);

builder.Services.AddActorSystem();

builder.Services.AddHostedService<ActorSystemClusterHostedService>();

builder.Services.AddHostedService<SmartBulbSimulator>();

WebApplication application = builder.Build();

ILoggerFactory loggerFactory = application.Services.GetRequiredService<ILoggerFactory>();

Log.SetLoggerFactory(loggerFactory);

application.MapGet("/", () => Task.FromResult("ȳϼ, Proto.Cluster!"));

application.Run();